summaryrefslogtreecommitdiff
path: root/deps/gyp/test/mac/type_envvars/test_nonbundle_loadable_module.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deps/gyp/test/mac/type_envvars/test_nonbundle_loadable_module.sh')
-rwxr-xr-xdeps/gyp/test/mac/type_envvars/test_nonbundle_loadable_module.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/deps/gyp/test/mac/type_envvars/test_nonbundle_loadable_module.sh b/deps/gyp/test/mac/type_envvars/test_nonbundle_loadable_module.sh
new file mode 100755
index 0000000000..9b584269ec
--- /dev/null
+++ b/deps/gyp/test/mac/type_envvars/test_nonbundle_loadable_module.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright (c) 2012 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+test $MACH_O_TYPE = mh_bundle
+test $PRODUCT_TYPE = com.apple.product-type.library.dynamic
+test $PRODUCT_NAME = nonbundle_loadable_module
+test $FULL_PRODUCT_NAME = nonbundle_loadable_module.so
+
+test $EXECUTABLE_NAME = nonbundle_loadable_module.so
+test $EXECUTABLE_PATH = nonbundle_loadable_module.so
+[[ ! $WRAPPER_NAME && ${WRAPPER_NAME-_} ]]
+
+test $DYLIB_INSTALL_NAME_BASE = "/usr/local/lib"
+test $LD_DYLIB_INSTALL_NAME = "/usr/local/lib/nonbundle_loadable_module.so"
+
+"$(dirname "$0")/test_check_sdkroot.sh"